<?php
/**
 * JB linkSale by Joomla-book.ru
 * @author Joomla-book.ru
 * @email admin@joomla-book.ru
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


$sape_sapeid = trim($params->get('sape_sapeid', ''));

if (strlen($sape_sapeid) > 0 ) {
    
    if (!defined('_SAPE_USER')) {
        define('_SAPE_USER', $sape_sapeid);
    }
    
    define('JBSALELINK_SAPE_CACHE', JPATH_CACHE.DS.'mod_jblinksale_sape');

    JFolder::create(JBSALELINK_SAPE_CACHE);
    
    require_once (dirname(__FILE__) .DS. 'sape.class.php');

    if (defined('_SAPE_USER')) {

        $sapeConfig = array (
            'host'              =>       $params->get( 'sape_host',                 JURI::getInstance()->getHost()),
            'force_show_code'   => (bool)$params->get( 'sape_force_show_code',      true),
            'verbose'           => (bool)$params->get( 'sape_verbose',              false),
            'multi_site'        => (bool)$params->get( 'sape_multi_site',           false),
            'debug'             => (bool)$params->get( 'sape_debug',                false),
            'charset'           =>       $params->get( 'sape_charset',              'utf-8'),
            'fetch_remote_type' =>       $params->get( 'sape_fetch_remote_type',    'file_get_contents'),
            'socket_timeout'    =>       $params->get( 'sape_socket_timeout',       6),
        );
        
        $SAPE_client = new SAPE_client( $sapeConfig );
        
        $value = $SAPE_client->return_links (
            $params->get('sape_links_count',  5),
            $params->get('sape_links_offset', 0)
        );
        
        if ($params->get('sape_force_encoding', 0)) {
            $value = iconv('windows-1251', 'UTF-8//TRANSLIT', $value);
        }
        
        $result['sape'] = $value;

    }

} else {
    echo 'sapeID no set!'; 
}
