<?php
/**
 * JB linkSale by Joomla-book.ru
 * @author Joomla-book.ru
 * @email admin@joomla-book.ru
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


$xap_xapid = trim($params->get('xap_xapid', ''));

if (strlen($xap_xapid) > 0 ) {
    
    if (!defined('_XAP_USER')) {
        define('_XAP_USER', $xap_xapid);
    }
    
    define('JBSALELINK_XAP_CACHE',                    JPATH_CACHE.DS.'mod_jblinksale_xap'.DS);
    define('JBSALELINK_XAP_TIMEOUT_CACHE',            $params->get('xap_timeout_cache',        3600));
    define('JBSALELINK_XAP_TIMEOUT_DOWN',             $params->get('xap_timeout_down',         3600));
    define('JBSALELINK_XAP_TIMEOUT_DOWN_ERROR',       $params->get('xap_timeout_down_error',   60));
    define('JBSALELINK_XAP_TIMEOUT_CONNECT',          $params->get('xap_timeout_connect',      5));
    define('JBSALELINK_XAP_CONNECT_USING',            $params->get('xap_connect_using',        'curl'));
    define('JBSALELINK_XAP_CHECK_DOWN',         (bool)$params->get('xap_check_down',           false));
    define('JBSALELINK_XAP_HTML_DELIMITER',           $params->get('xap_html_delimiter',       '<br />'));
    define('JBSALELINK_XAP_ENCODING',                 $params->get('xap_encoding',             'UTF-8'));
    define('JBSALELINK_XAP_EXCEPTIONS',               $params->get('xap_exceptions',           'PHPSESSID'));
    define('JBSALELINK_XAP_FORBIDDEN',                $params->get('xap_forbidden',            ''));

    JFolder::create(JBSALELINK_XAP_CACHE);
    
    require_once (dirname(__FILE__).DS.'xap.class.php');

    if (defined('_XAP_USER')) {

        $TNX_n = new TNX_n(_XAP_USER, JBSALELINK_XAP_CACHE);
        
        $value = $TNX_n->show_link( $params->get('xap_links_count', 5) );
        
        if ($params->get('xap_force_encoding', 0)) {
            $value = iconv('windows-1251', 'UTF-8//TRANSLIT', $value);
        }
        
        $result['xap'] = $value;

    }

} else {
    echo 'xapLogin no set!'; 
}
